#include<stdio.h>
main()
{
	int n,i,j;
	scanf("%d",&n);
	double x,y,A[n],P[n],p=0,porez,dolar=0,spauj;
	for(i=0;i<n;i++)
	{
		scanf("%lf%lf",&A[i],&P[i]);
    }
    for(i=0;i<n-1;i++)
    {
    	for(j=i+1;j<n;j++)
    	{
    		if(P[j]>P[i])
    		{
    			x=P[i];
    			P[i]=P[j];
    			P[j]=x;
    			y=A[i];
    			A[i]=A[j];
    			A[j]=y;
			}
		}
	}
	for(i=0;i<n;i++)
	{
		dolar+=A[i];
		porez=P[i];
		spauj=dolar*(porez/100);
		if(spauj>p)
		{
			p=spauj;
		}
	}
	printf("%.4lf",p);
	getchar();
	getchar();
}